--- title: "createCloudMysqlRecoveryInstance" slug: "database-vmysql-createcloudmysqlrecoveryinstance" tags: ["Cloud DB for MySQL"] updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/database-vmysql-createcloudmysqlrecoveryinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createCloudMysqlRecoveryInstance Available in VPC Create a recovery server instance in a Cloud DB for MySQL instance. The recovery server instance you create can perform data recovery operations based on backup files or point-in-time database snapshots in the event of data loss or system failure on the master server. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vmysql/v2/createCloudMysqlRecoveryInstance | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) request headers](/docs/en/database-vmysql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for MySQL instance for which you want to create a recovery server instance. - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `cloudMysqlInstanceNo` | String | Required | Cloud DB for MySQL instance number - See [getCloudMysqlInstanceList](/docs/en/database-vmysql-getcloudmysqlinstancelist). | | `subnetNo` | String | Conditional | Subnet number of the default network interface to be used in the Cloud DB for MySQL instance - See [getCloudMysqlTargetSubnetList](/docs/en/database-vmysql-getcloudmysqltargetsubnetlist). - Required for a Cloud DB for MySQL instance configured with multi-zone (`isMultiZone=true`) - For a Cloud DB for MySQL instance whose multi-zone is not configured (`isMultiZone=false`), the `subnetNo` entry is ignored and it is created in the existing subnetNo. - Subscription to public domains can only be done in a DB server created in public subnet. - Subnet migrations are not available after creating the Cloud DB for MySQL recovery instance. | | `fileName` | String | Conditional | Backup file name - Entering `fileName` ignores the `recoveryTime` entry. - At least one of `fileName` and `recoveryTime` is required. - When restoring the backup file, it restores to the time the backup was completed. - See [getCloudMysqlBackupDetailList](/docs/en/database-vmysql-getcloudmysqlbackupdetaillist). | | `recoveryTime` | String | Conditional | Time of point-in-time recovery (yyyy-MM-dd HH:mm) - Entering `recoveryTime` ignores the `fileName` entry. - At least one of fileName and recoveryTime is required. - See [getCloudMysqlRecoveryTime](/docs/en/database-vmysql-getcloudmysqlrecoverytime). | | `cloudMysqlRecoveryServerName` | String | Required | Cloud DB for MySQL recovery server instance name - Enter 3-20 characters, including English letters, numbers, and special character "-". - The string must begin with an English letter and end with an English letter or number. - A 3-digit number is automatically generated after the prefix, with additional random text to prevent hostname duplication. - e.g., If the prefix is test-123: `test-123-001-4y1v` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/createCloudMysqlRecoveryInstance ?regionCode=KR &cloudMysqlInstanceNo=****890 &subnetNo=****91 &fileName=20210722 &cloudMysqlRecoveryServerName=test-recovery' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [CloudMysqlInstanceList](/docs/en/common-vapidatatype-cloudmysqlinstancelist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) response status codes](/docs/en/database-vmysql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: - If `responseFormatType=json` ``` { "createCloudMysqlRecoveryInstanceResponse": { "totalRows": 1, "cloudMysqlInstanceList": [ { "cloudMysqlInstanceNo": "****890", "cloudMysqlServiceName": "test-****", "cloudMysqlInstanceStatusName": "creating", "cloudMysqlInstanceStatus": { "code": "CREAT", "codeName": "CLOUD DATABASE(VPC) Created State" }, "cloudMysqlInstanceOperation": { "code": "NULL", "codeName": "CLOUD DATABASE(VPC) Null OP" }, "cloudMysqlImageProductCode": "SW.VDBAS.DBAAS.LNX64.CNTOS.0708.MYSQL.8025.B050", "engineVersion": "MYSQL8.0.25", "license": { "code": "GPL", "codeName": "General Public License" }, "cloudMysqlPort": 13306, "isHa": true, "isMultiZone": true, "isBackup": true, "backupFileRetentionPeriod": 10, "backupTime": "02:00", "generationCode": "G2", "createDate": "2024-05-23T11:25:09+0900", "accessControlGroupNoList": [ "****58" ], "cloudMysqlConfigList": [], "cloudMysqlServerInstanceList": [ { "cloudMysqlServerInstanceNo": "****891", "cloudMysqlServerName": "test-****-001-e04", "cloudMysqlServerRole": { "code": "M", "codeName": "Master" }, "cloudMysqlServerInstanceStatusName": "running", "cloudMysqlServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudMysqlServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE(VPC) Server Null OP" }, "cloudMysqlProductCode": "SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002", "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****83", "subnetNo": "****91", "isPublicSubnet": true, "publicDomain": "db-****.vpc-pub-cdb.ntruss.com", "privateDomain": "db-****.vpc-cdb.ntruss.com", "privateIp": "***.***.***.***", "dataStorageType": { "code": "SSD", "codeName": "SSD" }, "isStorageEncryption": true, "dataStorageSize": 10737418240, "usedDataStorageSize": 2791728640, "cpuCount": 2, "memorySize": 8589934592, "uptime": "2024-05-23T11:34:39+0900", "createDate": "2024-05-23T11:25:09+0900" }, { "cloudMysqlServerInstanceNo": "****897", "cloudMysqlServerName": "test-****-002-e05", "cloudMysqlServerRole": { "code": "H", "codeName": "Standby Master" }, "cloudMysqlServerInstanceStatusName": "running", "cloudMysqlServerInstanceStatus": { "code": "RUN", "codeName": "CLOUD DATABASE(VPC) Server Running State" }, "cloudMysqlServerInstanceOperation": { "code": "NOOP", "codeName": "CLOUD DATABASE(VPC) Server Null OP" }, "cloudMysqlProductCode": "SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002", "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "****83", "subnetNo": "****93", "isPublicSubnet": true, "privateDomain": "db-****.vpc-cdb.ntruss.com", "privateIp": "***.***.***.***", "dataStorageType": { "code": "SSD", "codeName": "SSD" }, "isStorageEncryption": true, "dataStorageSize": 10737418240, "usedDataStorageSize": 2791728640, "cpuCount": 2, "memorySize": 8589934592, "uptime": "2024-05-23T11:34:05+0900", "createDate": "2024-05-23T11:25:09+0900" }, { "cloudMysqlServerName": "test-recovery-001-exr", "cloudMysqlServerRole": { "code": "R", "codeName": "Recovery" }, "cloudMysqlServerInstanceStatusName": "creating", "cloudMysqlServerInstanceStatus": { "code": "PEND", "codeName": "CLOUD DATABASE(VPC) Server Pending State" }, "cloudMysqlServerInstanceOperation": { "code": "CREAT", "codeName": "CLOUD DATABASE(VPC) Server Create OP" }, "cloudMysqlProductCode": "SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002", "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "****83", "subnetNo": "****91", "isPublicSubnet": true, "privateDomain": "db-****.vpc-cdb.ntruss.com", "privateIp": "***.***.***.***", "dataStorageType": { "code": "SSD", "codeName": "SSD" }, "isStorageEncryption": true, "dataStorageSize": 10737418240, "cpuCount": 2, "memorySize": 8589934592, "createDate": "2024-05-23T17:33:11+0900" } ] } ], "requestId": "09f9f997-****-****-****-510e790eb150", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 09f9f997-****-****-****-510e790eb150 0 success 1 ****890 test-**** creating CREAT CLOUD DATABASE(VPC) Created State NULL CLOUD DATABASE(VPC) Null OP SW.VDBAS.DBAAS.LNX64.CNTOS.0708.MYSQL.8025.B050 MYSQL8.0.25 GPL General Public License 13306 true true true 10 02:00 G2 2024-05-23T11:25:09+0900 ****58 ****891 test-****-001-e04 M Master running RUN CLOUD DATABASE(VPC) Server Running State NOOP CLOUD DATABASE(VPC) Server Null OP SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002 KR KR-1 ****83 ****91 true db-****.vpc-pub-cdb.ntruss.com db-****.vpc-cdb.ntruss.com ***.***.***.*** SSD SSD true 10737418240 2791728640 2 8589934592 2024-05-23T11:34:39+0900 2024-05-23T11:25:09+0900 ****897 test-****-002-e05 H Standby Master running RUN CLOUD DATABASE(VPC) Server Running State NOOP CLOUD DATABASE(VPC) Server Null OP SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002 KR KR-2 ****83 ****93 true db-****.vpc-cdb.ntruss.com ***.***.***.*** SSD SSD true 10737418240 2791728640 2 8589934592 2024-05-23T11:34:05+0900 2024-05-23T11:25:09+0900 test-recovery-001-4y9d R Recovery creating PEND CLOUD DATABASE(VPC) Server Pending State CREAT CLOUD DATABASE(VPC) Server Create OP SVR.VDBAS.STAND.C002.M008.NET.HDD.B050.G002 KR KR-1 ****83 ****91 true db-****.vpc-cdb.ntruss.com ***.***.***.*** SSD SSD true 10737418240 2 8589934592 2024-05-23T17:33:11+0900 ```